db2 migration from older version fails with SQL2514N error during restore operation.

Technote (FAQ)


Question

While migrating the db2 databases from older version to newer version using the off line restore command fails with SQL2514N error. Why?

Cause

The version of db2 that you are trying to migrate is more than 2 levels down. i.e. You are trying to migrate a v9.1 db to v10.1 or v9.1/v9.5 db to v10.5 versions which are NOT compatible and NOT supported.

Answer

Temporarily migrate the db to supported db2 levels of v9.5 or v9.7 first and then upgrade to the desired level of db2.

Related information

Upgrading to DB2 Version 10.5 roadmap
Upgrade restrictions for db2 servers
SQL2514N

Rate this page:

(0 users)Average rating

Document information


More support for:

DB2 for Linux, UNIX and Windows

Software version:

7.2, 8.2, 9.1, 9.5, 9.7, 9.8, 10.1, 10.5

Operating system(s):

AIX, Solaris, Windows

Software edition:

Advanced, Enterprise, Workgroup

Reference #:

1661305

Modified date:

2014-01-15

Translate my page

Machine Translation

Content navigation